<?php
define("DEBUG", true);

/*
 * Activate debugging to display HTML errors in browser
 */
if (DEBUG) {
    error_reporting(E_ALL);
    ini_set("html_errors", "1");
    ini_set("display_errors", "1");
    ini_set("display_startup_errors", "1");
}

use Fhooe\NormForm\Core\NormForm;
use Fhooe\NormForm\Parameter\GenericParameter;
use Fhooe\NormForm\Parameter\PostParameter;
use Fhooe\NormForm\View\View;

require "../vendor/autoload.php";

$view = new View(
    "normFormDemoSimple.html.twig",
    "../templates",
    "../templates_c",
    [
        new PostParameter("firstname"),
        new PostParameter("lastname"),
        new PostParameter("message"),
    ]);

$normForm = new NormForm($view);

$normForm->addValidation("firstname", function ($data) {
    if (mb_strlen($data) === 0) {
        return false;
    }
    return true;
}, "Please set the first name!");

$normForm->addValidation("lastname", function ($data) {
    if (mb_strlen($data) === 0) {
        return false;
    }
    return true;
}, "Please set the last name!");

$normForm->setBusinessHandler(function (View $view) {
    $result = $_POST;
    $view->setParameter(new GenericParameter("result", $result));

    // Update the three form parameters with empty content so that the form fields are empty upon result display.
    $view->setParameter(new PostParameter("firstname", true));
    $view->setParameter(new PostParameter("lastname", true));
    $view->setParameter(new PostParameter("message", true));

    return "Processing successful!";
});

$normForm->normForm();
